# DeubertIt :: Elastic Apm Doctrine
Doctrine queries as transactions in elastic apm

### How to integrate into a project

Add `\DeubertIt\ElasticApmDoctrine\Bootstrap::attach();` in `Zend_Bootstrap`

### Package Integration

1. Add composer repository

#### Production

```json
{
    "repositories": [
        {
            "type": "git",
            "url": "https://gitlab.deubert.it/deubert-it/elastic-apm-doctrine1.git"
        }
    ],
    "require": {
        "deubertit/elastic-apm-doctrine1": "*@dev"
    }
}
```

#### Development

```json
{
    "repositories": [
        {
            "type": "path",
            "url": "../<path-to-the-package>"
        }
    ],
    "require": {
        "deubertit/elastic-apm-doctrine1": "*@dev"
    }
}
```

### Tests

```bash
composer install

docker-compose run --rm php php ./vendor/bin/phpunit
```
